/*
PUBLISH event-name
[ FROM publisher-handle ]
[ ( parameter [ , parameter ] ... ) ]
*/

def var ch1 as char.
def var h as handle.

def var v1 as integer.
def var v2 as decimal.
def var v3 as character.
def var v4 as logical.
def var v5 as date.
def var v6 as raw.
def var v7 as memptr.
def var v8 as handle.
def var v9 as rowid.
def var v10 as recid.
def var v11 as int64.
def var v12 as longchar.


publish "named-event".
publish ch1.
publish "named-event" from h.
publish ch1 from h.
publish "named-event" from this-procedure.
publish ch1 from this-procedure.
publish "named-event" from source-procedure.
publish ch1 from source-procedure.
publish "named-event" from target-procedure.
publish ch1 from target-procedure.

publish "named-event"(1, 0.5, "bla", 01/01/01).
publish ch1(1, 0.5, "bla", 01/01/01).
publish "named-event" from h(1, 0.5, "bla", 01/01/01).
publish ch1 from h(1, 0.5, "bla", 01/01/01).
publish "named-event" from this-procedure(1, 0.5, "bla", 01/01/01).
publish ch1 from this-procedure(1, 0.5, "bla", 01/01/01).
publish "named-event" from source-procedure(1, 0.5, "bla", 01/01/01).
publish ch1 from source-procedure(1, 0.5, "bla", 01/01/01).
publish "named-event" from target-procedure(1, 0.5, "bla", 01/01/01).
publish ch1 from target-procedure(1, 0.5, "bla", 01/01/01).

publish "named-event"(input 1, input 0.5, input "bla", input 01/01/01).
publish ch1(input 1, input 0.5, input "bla", input 01/01/01).
publish "named-event" from h(input 1, input 0.5, input "bla", input 01/01/01).
publish ch1 from h(input 1, input 0.5, input "bla", input 01/01/01).
publish "named-event" from this-procedure(input 1, input 0.5, input "bla", input 01/01/01).
publish ch1 from this-procedure(input 1, input 0.5, input "bla", input 01/01/01).
publish "named-event" from source-procedure(input 1, input 0.5, input "bla", input 01/01/01).
publish ch1 from source-procedure(input 1, input 0.5, input "bla", input 01/01/01).
publish "named-event" from target-procedure(input 1, input 0.5, input "bla", input 01/01/01).
publish ch1 from target-procedure(input 1, input 0.5, input "bla", input 01/01/01).

publish "named-event"(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish ch1(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish "named-event" from h(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish ch1 from h(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish "named-event" from this-procedure(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish ch1 from this-procedure(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish "named-event" from source-procedure(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish ch1 from source-procedure(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish "named-event" from target-procedure(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).
publish ch1 from target-procedure(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11).

publish "named-event"(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish ch1(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish "named-event" from h(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish ch1 from h(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish "named-event" from this-procedure(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish ch1 from this-procedure(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish "named-event" from source-procedure(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish ch1 from source-procedure(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish "named-event" from target-procedure(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).
publish ch1 from target-procedure(input v1, input v2, input v3, input v4, input v5, input v6, input v7, input v8, input v9, input v10, input v11).

publish "named-event"(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish ch1(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish "named-event" from h(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish ch1 from h(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish "named-event" from this-procedure(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish ch1 from this-procedure(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish "named-event" from source-procedure(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish ch1 from source-procedure(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish "named-event" from target-procedure(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).
publish ch1 from target-procedure(output v1, output v2, output v3, output v4, output v5, output v6, output v7, output v8, output v9, output v10, output v11).

publish "named-event"(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish ch1(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish "named-event" from h(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish ch1 from h(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish "named-event" from this-procedure(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish ch1 from this-procedure(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish "named-event" from source-procedure(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish ch1 from source-procedure(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish "named-event" from target-procedure(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).
publish ch1 from target-procedure(input-output v1, input-output v2, input-output v3, input-output v4, input-output v5, input-output v6, input-output v7, input-output v8, input-output v9, input-output v10, input-output v11).

def temp-table tt1 field f1 as int.

publish "named-event"(input table tt1,output table tt1,input-output table tt1, buffer book).
publish ch1(input table tt1,output table tt1,input-output table tt1, buffer book).
publish "named-event" from h(input table tt1,output table tt1,input-output table tt1, buffer book).
publish ch1 from h(input table tt1,output table tt1,input-output table tt1, buffer book).
publish "named-event" from this-procedure(input table tt1,output table tt1,input-output table tt1, buffer book).
publish ch1 from this-procedure(input table tt1,output table tt1,input-output table tt1, buffer book).
publish "named-event" from source-procedure(input table tt1,output table tt1,input-output table tt1, buffer book).
publish ch1 from source-procedure(input table tt1,output table tt1,input-output table tt1, buffer book).
publish "named-event" from target-procedure(input table tt1,output table tt1,input-output table tt1, buffer book).
publish ch1 from target-procedure(input table tt1,output table tt1,input-output table tt1, buffer book).

publish "named-event"(output table tt1 append, input-output table tt1 append).
publish ch1(output table tt1 append, input-output table tt1 append).
publish "named-event" from h(output table tt1 append, input-output table tt1 append).
publish ch1 from h(output table tt1 append, input-output table tt1 append).
publish "named-event" from this-procedure(output table tt1 append, input-output table tt1 append).
publish ch1 from this-procedure(output table tt1 append, input-output table tt1 append).
publish "named-event" from source-procedure(output table tt1 append, input-output table tt1 append).
publish ch1 from source-procedure(output table tt1 append, input-output table tt1 append).
publish "named-event" from target-procedure(output table tt1 append, input-output table tt1 append).
publish ch1 from target-procedure(output table tt1 append, input-output table tt1 append).